Download it now!
Bug 135721 - Image removed after correcting word with right click context menu
Summary: Image removed after correcting word with right click context menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:6.4.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Spell-Checking Formatting-Text-Diverse
  Show dependency treegraph
 
Reported: 2020-08-13 15:27 UTC by Telesto
Modified: 2020-11-13 12:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (41.21 KB, application/vnd.oasis.opendocument.text)
2020-08-13 15:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-13 15:27:33 UTC
Description:
Image removed after correcting word with right click context menu

Steps to Reproduce:
1. Open the attached file
2. Right click zzz -> wrong spelled. (enable automatic spelling required)
3. Pick an alternative 

Actual Results:
Image gone

Expected Results:
Not so


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

fine in
6.0.5
Comment 1 Telesto 2020-08-13 15:27:49 UTC
Created attachment 164274 [details]
Example file
Comment 2 Telesto 2020-08-18 10:10:09 UTC
Not in
6.1

Another one with a certain 'some priority' for a bibisect [of course optional]
Comment 3 raal 2020-08-18 14:13:56 UTC
Confirm with Version: 7.1.0.0.alpha0+ (x64)
Build ID: 1db7decf3fb172542f5fce03ce7bf0cb310d1ffc
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: Skia/Raster; VCL: win
Comment 4 raal 2020-08-18 15:41:15 UTC
Adding CC to: Michael Stahl
bisected to
33a49581280e6122a948b46cbe12e268cfd522ae is the first bad commit
commit 33a49581280e6122a948b46cbe12e268cfd522ae
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Jul 21 23:50:29 2019 -0700

    source sha:28b77c89dfcafae82cf2a6d85731b643ff9290e5

commit	28b77c89dfcafae82cf2a6d85731b643ff9290e5	[log]
author	Michael Stahl <Michael.Stahl@cib.de>	Thu Jul 11 18:37:28 2019 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	Mon Jul 22 08:32:07 2019 +0200
tree	4d26e493cebd1d83025094a3a97b9e878bc2b930
parent	22f2ecbcabf3928d5486690ca6465b7b37bc8a10 [diff]
tdf#117185 tdf#110442 sw: bring harmony & peace to fly at-char selection
Comment 5 Telesto 2020-08-18 15:55:03 UTC
Caolán would say: The gift that keeps giving
Comment 6 Commit Notification 2020-08-20 11:47:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ec579354af954867b829e7d08e4d752518c83728

tdf#135721 sw: fix spell check context menu deleting flys

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2020-08-20 12:03:30 UTC
fixed on master
Comment 8 Commit Notification 2020-08-20 13:12:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a58fe88b5b406749f6e47c14f56d7490a7958bda

tdf#135721 sw: fix SwSpellPopup::Execute() deleting flys

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-20 16:23:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/0089f37fcfb166040326aedb99a11f7ce659fdb9

tdf#135721 sw: fix spell check context menu deleting flys

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-08-20 16:24:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a8ff48c342c4c883319f17cb652cdbf23ed36dfc

tdf#135721 sw: fix SwSpellPopup::Execute() deleting flys

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-08-21 06:41:43 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/23ae9e8b907d224f51b5af24c79e31f5a9c18d25

tdf#135721 sw: fix spell check context menu deleting flys

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Thomas Lendo 2020-09-04 20:38:50 UTC
Thank you very much, Michael Stahl!

Version: 7.1.0.0.alpha0+
Build ID: 0d2dbcbebf0004e690feb91c38dd478a32dc6255
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-30_17:39:21
Calc: threaded

Verified.